Actualizar php 5.1 a 5.2 en ubuntu server dapper 6.06

Imagen de edwin16
0 puntos

Hola señores muy buenos dias..

 

Mira tengo el siguiente problema.. tengo instalado en mi ubuntu dapper server 6.06 el apache 2 junto con php 5.1 y postgresql 8 el problema es que hize unas actualizaciones a mi codigo usando json.. y resulta que php 5.1 no tiene soporte para json pero si el php 5.2 entonces necesito actualizar pero no puedo.. no se de que manera tengo que hacerlo o talvez los repositorios estan mal.. navegando por internet encontre unos repositorios me instala el php5-common del 5.2 pero lo demas no me queire instalar y tambien lei por ahi que es inestable ese repositorio..

 Por favor si alguien me puede ayudar en todo esto.. necesito actualizar a 5.2 o en todo caso quitarlo el 5.1 y e instalar de nuevo el 5.2.. espero que puedan ayudarme .. 

 Gracias.. por todo hasta otra oportunidad..